Icinga installation

icingaweb2

(Chermarajan Arumigasamy) #1

I am trying to install icinga in my dev machine which is rhel 7.6 .Got stucked in yum install icingaweb2.Getting error like require rh-php* dependency… Also I was not supposed to use subscription manager . can any please help me to resolve the issue


(Michael Insel) #2

Hi,

the Icinga Web 2 packages relies on the EPEL repository, you need to enable it prior installing. You also need to enable the SCL repository since Icinga Web 2 v2.5.0 requires a newer PHP version.

https://icinga.com/docs/icingaweb2/latest/doc/02-Installation/#rhelcentos-notes

Cheers
Michael


(Markus Frosch) #3

Not only EPEL is required, but also the SCL addons from RedHat.

Please see RHEL/CentOS Notes in the installation docs